Bug 683610 - Review Request: hxtools - A collection of several tools
Summary: Review Request: hxtools - A collection of several tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 648173
TreeView+ depends on / blocked
 
Reported: 2011-03-09 20:50 UTC by Till Maas
Modified: 2012-07-10 21:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-10 21:00:43 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Till Maas 2011-03-09 20:50:18 UTC
Spec URL: http://till.fedorapeople.org/review/hxtools.spec
SRPM URL: http://till.fedorapeople.org/review/hxtools-20110308-1.tillf14.src.rpm
Description: 
hxtools contains several tools for different tasks written by Jan Engelhardt.

Currently only tools needed for pam_mount are included in this package.

Comment 1 Till Maas 2011-03-09 21:11:29 UTC
Spec URL: http://till.fedorapeople.org/review/hxtools.spec
SRPM URL:
http://till.fedorapeople.org/review/hxtools-20110308-2.tillf14.src.rpm

Changelog:
- Include license files

Comment 2 Matthew Miller 2011-03-10 21:07:22 UTC
I would suggest making a sub-package like "hxtools-pam_mount" (or whatever) and putting the stuff you need in there. Then if people want to add other things for separate reasons, they can go in their own sub packages without causing crazy bloat.

Comment 3 Till Maas 2011-03-10 21:22:50 UTC
(In reply to comment #2)
> I would suggest making a sub-package like "hxtools-pam_mount" (or whatever) and
> putting the stuff you need in there. Then if people want to add other things
> for separate reasons, they can go in their own sub packages without causing
> crazy bloat.

I thought about this, too. But Imho it is very unlikely that someone else will want other items from the package. Therefore this would add unecessary complexity to the package without much gain. In the surprising case that this happens, subpackages can still be created. The current binaries only require libHX, which is the general purpose lib from the same author, that is probably used by all his binary tools.

Comment 4 Sergio Belkin 2011-03-11 22:29:40 UTC
Some comments:

*BuildRequires:
- You are using autoreconf in autogen.sh, so you must include it.

*Remove the blank line at the end of the file.

The following are not oficially part of guideliness (but I think that are in its spirit):
 
*Summary
- The problem with hxtools summary is that says nothing specific to the package! Would you install some package that you ever heard in the life with such a description? :-)

*Well let's read the description
- Oh, I see, now it's clear enough! No, not really, I am joking. You are forcing to either read the code, go to the project site or read the man pages

*I think you made two interesting programs that make *two specific tasks" Why don't you make two different packages in the UNUX-style? :)

HTH

Comment 5 Till Maas 2011-07-23 09:22:42 UTC
(In reply to comment #4)
> Some comments:
> 
> *BuildRequires:
> - You are using autoreconf in autogen.sh, so you must include it.

Done.

> *Remove the blank line at the end of the file.

Done

> The following are not oficially part of guideliness (but I think that are in
> its spirit):
> 
> *Summary
> - The problem with hxtools summary is that says nothing specific to the
> package! Would you install some package that you ever heard in the life with
> such a description? :-)
> 
> *Well let's read the description
> - Oh, I see, now it's clear enough! No, not really, I am joking. You are
> forcing to either read the code, go to the project site or read the man pages
> 
> *I think you made two interesting programs that make *two specific tasks" Why
> don't you make two different packages in the UNUX-style? :)

I am not the author of the tools/package and I only need two of them to be able to update pam_mount in Fedora. There is no real similiarity between the tools except the upstream author, therefore no good summary or description can be given.

Updated files:
Spec URL: http://till.fedorapeople.org/review/hxtools.spec
SRPM URL:
http://till.fedorapeople.org/review/hxtools-20110721-1.tillf14.src.rpm
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3224706

Comment 6 Jerry James 2011-11-24 03:38:08 UTC
I saw your request for a review swap.  I'll review this one.  Would you care to review one of the following?

ocaml-dpt: bug 693831
TOPCOM: bug 700959
python3-cvxopt: bug 706299 (python3 version of an existing python2 package)
lrslib: bug 723752
polybori: bug 742388 (rename review)
ocaml-menhir: bug 754245

Comment 7 Jerry James 2011-11-24 04:00:40 UTC
Unless you plan to use this spec file for EPEL also, some elements of the spec file are not needed: BuildRoot, "rm -rf $RPM_BUILD_ROOT" at the top of %install, the %clean script, and %defattr at the top of %files.

Even though autoreconf is in the autoconf package, it can also invoke aclocal and automake, both of which are in the automake package.  Since automake Requires autoconf, I suggest using a BR on automake instead of autoconf.  This isn't just a hypothetical concern; here is a snippet from the mock build log:

+ ./autogen.sh
Can't exec "aclocal": No such file or directory at /usr/share/autoconf/Autom4te/FileUtils.pm line 326.
autoreconf: failed to run aclocal: No such file or directory

Legend:
+: OK
-: must be fixed
=: should be fixed (at your discretion)
N: not applicable

MUST:
[+] rpmlint output:
hxtools.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
hxtools.spec:44: W: macro-in-comment %exclude
hxtools.spec:44: W: macro-in-comment %files
hxtools.spec:46: W: macro-in-comment %{_libexecdir}
hxtools.spec:47: W: macro-in-comment %{_libexecdir}
hxtools.spec:48: W: macro-in-comment %{_datadir}
hxtools.spec:49: W: macro-in-comment %{_mandir}
2 packages and 1 specfiles checked; 0 errors, 7 warnings.

Those macros in comments need doubled % signs.
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license
[+] license field matches the actual license
[+] license file is included in %doc
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream
[+] package builds on at least one primary arch (tried x86_64)
[N] appropriate use of ExcludeArch
[=] all build requirements in BuildRequires: maybe need automake, see above
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[N] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel
[N] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[N] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock: tried fedora-rawhide-i386
[+] package builds on all supported arches: tried i386 and x86_64
[+] package functions as described: minimal testing only
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[N] file dependencies versus package dependencies
[+] package contains man pages for binaries/scripts

Comment 8 Till Maas 2011-11-24 19:35:14 UTC
Thank you, the package has been updated. I plan to use it in EPEL in the long term, therefore I keep the deprecated macros.

Updated files:
Spec URL: http://till.fedorapeople.org/review/hxtools.spec
SRPM URL:
http://till.fedorapeople.org/review/hxtools-20110721-2.tillf15.src.rpm
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3538267

I will try to look into your review submissions soon.

Comment 9 Jerry James 2011-11-24 21:05:30 UTC
OK, everything looks good.  This package is APPROVED.

Comment 10 Till Maas 2011-11-24 21:31:22 UTC
New Package SCM Request
=======================
Package Name: hxtools
Short Description: A collection of several tools
Owners: till
Branches: f15 f16 el6
InitialCC:

Comment 11 Gwyn Ciesla 2011-11-25 03:31:50 UTC
Git done (by process-git-requests).

Comment 12 Jerry James 2011-12-15 16:32:51 UTC
Till, I plan to beg for review swaps on fedora-devel-list again soon.  Do you want to reserve one of the packages in comment 6 for yourself before I do so?

Comment 13 Till Maas 2011-12-15 22:14:18 UTC
(In reply to comment #12)
> Till, I plan to beg for review swaps on fedora-devel-list again soon.  Do you
> want to reserve one of the packages in comment 6 for yourself before I do so?

Thank you for asking, I take the python package then.

Comment 14 Fedora Update System 2012-06-20 19:41:28 UTC
libHX-3.12.1-1.fc17,hxtools-20120514-1.fc17,pam_mount-2.13-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libHX-3.12.1-1.fc17,hxtools-20120514-1.fc17,pam_mount-2.13-1.fc17

Comment 15 Fedora Update System 2012-06-22 08:30:34 UTC
Package libHX-3.12.1-1.fc17, hxtools-20120514-1.fc17, pam_mount-2.13-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libHX-3.12.1-1.fc17 hxtools-20120514-1.fc17 pam_mount-2.13-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9767/libHX-3.12.1-1.fc17,hxtools-20120514-1.fc17,pam_mount-2.13-1.fc17
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-07-10 21:00:43 UTC
libHX-3.12.1-1.fc17, hxtools-20120514-1.fc17, pam_mount-2.13-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.